using System;

internal sealed class Delegate846 : MulticastDelegate
{
	public extern string Invoke(object object_0, int int_0);

	public static string smethod_0(object object_0, int int_0, Delegate846 delegate846_1)
	{
		return delegate846_1(object_0, int_0);
	}

	public extern Delegate846(object object_0, IntPtr intptr_0);

	static Delegate846()
	{
		Class10.smethod_13(typeof(Delegate846).TypeHandle);
	}

	internal static Delegate846 delegate846_0;
}
